Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.jpeg
Class JFIFInputStream.Segment

    java.lang.Object
      org.monte.media.jpeg.JFIFInputStream.Segment

Enclosing class:
  JFIFInputStream

    public static class JFIFInputStream.Segment

extends java.lang.Object

Represents a segment within a JFIF File.

Field Summary
`int` | `length` If the marker starts a marker segment, holds the length of the data in the data segment.
`int` | `marker` Holds the marker code.
`long` | `offset` Holds the offset of the first data byte to the beginning of the stream.

Constructor Summary
`JFIFInputStream.Segment(int marker, long offset, int length)`

Method Summary
`boolean` | `isEntropyCoded()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### marker

    public final int marker

  Holds the marker code. A marker is an unsigned short between 0xff01 and 0xfffe.

### offset

    public final long offset

  Holds the offset of the first data byte to the beginning of the stream.

### length

    public final int length

  If the marker starts a marker segment, holds the length of the data in the data segment. If the marker starts a entropy-coded data segment, holds the value -1.

Constructor Detail

### JFIFInputStream.Segment

    public JFIFInputStream.Segment(int marker,
                                   long offset,
                                   int length)

Method Detail

### isEntropyCoded

    public boolean isEntropyCoded()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD